<!DOCTYPE html>
<html lang="en-US">

<head>
	<title>Toggle Password Visibility</title>

	<meta charset="utf-8">

	<!-- Force latest available IE rendering engine and Chrome Frame (if installed) -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

	<!-- Mobile Screen Resizing -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<style type="text/css">
		/**
		 * Add box sizing to everything
		 * @link http://www.paulirish.com/2012/box-sizing-border-box-ftw/
		 */
		/* line 38, src/sass/components/_normalize.scss */
		*,
		*:before,
		*:after {
			box-sizing: border-box;
		}

		/**
		 * Layout
		 */
		body {
			font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
			font-size: 112.5%;
			margin-left: auto;
			margin-right: auto;
			max-width: 40em;
			width: 88%;
		}

		/**
		 * Typography
		 */
		h2 {
			font-weight: normal;
			margin-top: 2em;
		}

		/**
		 * Forms
		 */
		input {
			margin-bottom: 1em;
			padding: 0.5em 1em;
			width: 100%;
		}

		[type="checkbox"] {
			width: auto;
		}

		label {
			display: block;
			font-weight: bold;
			margin-bottom: 0.5em;
			width: 100%;
		}

		button {
			background-color: #0088cc;
			border: 1px solid #0088cc;
			border-radius: 1px;
			color: #ffffff;
			display: inline-block;
			font-size: 0.9375em;
			font-weight: normal;
			line-height: 1.2;
			margin-right: 0.3125em;
			margin-bottom: 0.3125em;
			padding: 0.5em 0.6875em;
		}

		button:hover,
		button:focus,
		button:active {
			background-color: #005580;
			border-color: #005580;
			color: #ffffff;
			text-decoration: none;
		}

		/**
		 * Utilities
		 */

		.no-bold {
			font-weight: normal;
		}

		.container {
			display: grid;
			grid-template-columns: repeat(2, 1fr);
			grid-gap: 1.2rem;
		}
	</style>
</head>

<body>
	<h1>Toggle Password Visibility</h1>
	<div class="container">
		<div class="grid-item">
			<h2>Log In</h2>
			<form>
				<div>
					<label for="username">Username</label>
					<input type="text" name="username" id="username">
				</div>

				<div>
					<label for="password">Password</label>
					<input type="password" name="password" id="password">
				</div>

				<div>
					<label class="no-bold" for="show-password">
						<input type="checkbox" name="show-password" id="show-password" data-show-pw="#password">
						Show password
					</label>
				</div>

				<button type="submit">Log In</button>
			</form>
		</div>
		<div class="grid-item">
			<h2>Update Password</h2>
			<form>
				<div>
					<label for="current-pw">Current Password</label>
					<input type="password" name="current-pw" id="current-pw">
				</div>

				<div>
					<label for="new-pw">New Password</label>
					<input type="password" name="new-pw" id="new-pw">
				</div>

				<div>
					<label class="no-bold" for="show-passwords">
						<input type="checkbox" name="show-passwords" id="show-passwords" data-show-pw="#current-pw, #new-pw">
						Show passwords
					</label>
				</div>

				<button type="submit">Change Password</button>
			</form>
		</div>

		<div class="grid-item">
			<h2>Another Password</h2>
			<form>
				<div>
					<label for="another-pw">Another Password</label>
					<input type="password" name="current-pw" id="another-pw">
				</div>


				<div>
					<label class="no-bold" for="another-password">
						<input type="checkbox" name="another-password" id="another-password" data-show-pw="#another-pw">
						Show password
					</label>
				</div>

				<button type="submit">Change Password</button>
			</form>
		</div>

	</div>


	<script src="https://cdn.polyfill.io/v2/polyfill.min.js"></script>
	<script>
		(function() {


			// Listen for clicks in the document
			document.addEventListener('click', function (event) {

				// Check if a password selector was clicked
				var selector = event.target.getAttribute('data-show-pw');
				if (!selector) return;

				// Get the passwords
				var passwords = document.querySelectorAll(selector);

				// Toggle visibility
				Array.from(passwords).forEach((password) => {
					if (event.target.checked) {
						password.type = 'text';
					} else {
						password.type = 'password';
					}
				});
			}, false);


		})();
	</script>

</body>

</html>
